---
title: Home
layout: index
---

# Solidus Developers Guide

<p class="lead">
  This guide provides a foundation for web developers to learn the Solidus
  ecommerce platform. Use it while you build out your Solidus store. 
</p>

Solidus is an open source ecommerce solution built with Ruby on Rails and
maintained by a community of passionate developers. Before you can launch a
store with Solidus, you should already have experience with [the Ruby
programming language][ruby] and [Ruby on
Rails][rails].

If Ruby on Rails is new to you, start by reading the [Rails
Guides][rails-guides] and Michael Hartl's [Ruby on Rails
Tutorial][rails-tutorial].

[rails]: http://rubyonrails.org
[rails-guides]: http://guides.rubyonrails.org
[rails-tutorial]: https://www.railstutorial.org
[ruby]: https://ruby-lang.org

## Getting help

If you're following this guide and still having trouble installing Solidus,
[join the Solidus Slack team][slack-invitation] and start a conversation
in the [#support channel][slack-support].

If you are still not able to get Solidus running, [open an issue on
GitHub][solidus-github-issue] with any information you think would help to
reproduce the issues you're having. That would include your operating system and
its version, the versions of Ruby, Rails, and SQLite 3 that you are running, and
the specific error messages you are receiving during installation. 

[solidus-github-issue]: https://github.com/solidusio/solidus/issues/new
[slack-invitation]: http://slack.solidus.io
[slack-support]: https://solidusio.slack.com/messages/supports/details/
