# Product properties

Product properties track individual attributes for a product, especially if the
attributes only apply to one specific product. Typically, product properties
would be used for technical specifications or additional production information. 

For example, you can see a list of product properties for a limited edition
t-shirt as a table on its product page:

| Property name | Property value   |
|---------------|------------------|
| Fit           | Tapered          |
| Manufacturer  | American Apparel |
| Material      | 100% cotton      |

## Product properties are not option types

A product property should not be confused with an [option type][option-types],
which is used to define variants for a product.

Use product properties to describe a product: "The t-shirt is 100% cotton." Use
option types to show how variants are distinct from each other: "The t-shirt can
be purchased in one of two colors: red or green."

[option-types]: option-types.html
