# Variants

A product can have many variants. For example, you may sell a t-shirt that comes
in two colors and three sizes.

## Variants are customer-selectable product options

The customer can choose any variant of a product from the storefront.

In our t-shirt example, the product has six variants that customers can pick:

| Variant | Color    | Size      |
|---------|----------|-----------|
| 1       | Red      | Small     |
| 2       |          | Medium    |
| 3       |          | Large     |
| 4       | Green    | Small     |
| 5       |          | Medium    |
| 6       |          | Large     |

You can create [option types and option values][option-types] for any variant
that you want to create. In addition to **Size** and **Color**, you may want to
offer **Material**, **Quantity**, or other option types.

[option-types]: option-types.md

## Change product details

Variants can be more complex than this. While they use the [product
details][product-details] from the product they belong to, you can change the
following information about any variant:

- **SKU**
- Dimensions (**Weight**, **Height**, **Width**, and **Depth**)
- **Price**
- **Cost Price**
- **Tax Category**

[product-details]: product-details.md
